#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(){
    int A,B,C;
    char As[20],Bs[20],Cs[20],Rs[58]="",* fp,* sp,* tp;
    scanf("%d %d %d",&A,&B,&C);

    sprintf(As,"%d",A);
    sprintf(Bs,"%d",B);
    sprintf(Cs,"%d",C);

    if(strcmp(As,Bs)>0&&strcmp(As,Cs)>0){
        fp = As;
        if(strcmp(Bs,Cs)>0){
            sp = Bs;
            tp = Cs;
        }else{
            sp = Cs;
            tp = Bs;
        }
    }else if(strcmp(As,Bs)<=0&&strcmp(As,Cs)>0){
        fp = Bs;
        sp = As;
        tp = Cs;
    }else if(strcmp(As,Bs)>0&&strcmp(As,Cs)<=0){
        fp = Cs;
        sp = As;
        tp = Bs;
    }else{
        tp = As;
        if(strcmp(Bs,Cs)>0){
            fp = Bs;
            sp = Cs;
        }else{
            fp = Cs;
            sp = Bs;
        }
    }

    strcat(Rs,fp);
    strcat(Rs,sp);
    strcat(Rs,tp);

    puts(Rs);

    return 0;
}